package org.rhq.plugins.SolartisManagement;

import java.util.HashSet;
import java.util.Set;

import org.rhq.core.domain.configuration.Configuration;
import org.rhq.core.domain.resource.ResourceType;
import org.rhq.core.pluginapi.inventory.DiscoveredResourceDetails;
import org.rhq.core.pluginapi.inventory.InvalidPluginConfigurationException;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryComponent;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryContext;

public class SolartisManagementDiscoveryComponent implements ResourceDiscoveryComponent
{
	public Set discoverResources(ResourceDiscoveryContext context) throws InvalidPluginConfigurationException,
	    Exception {

		Set<DiscoveredResourceDetails> result = new HashSet<DiscoveredResourceDetails>();

		String key			= "Customer1";
		String name			= key;
		String description	= "It will display details of Customer1";
		Configuration configuration = null;
		ResourceType resourceType = context.getResourceType();
		DiscoveredResourceDetails detail = new DiscoveredResourceDetails(resourceType, key, name, null, description, configuration, null);

		result.add(detail);

		return result;
	}
}